<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:layout_constraintTop_toTopOf="parent"
        app:top_bar_title="@string/common_report" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/color_FFF1F2F5"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="16dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/common_white_radius_16_bg"
                android:padding="16dp"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_input_title"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:gravity="start|center"
                    android:includeFontPadding="false"
                    android:text="@string/setting_report_content"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_input"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:background="@drawable/setting_input_edit_bg"
                    android:paddingHorizontal="12dp"
                    android:paddingVertical="8dp"
                    app:layout_constrainedHeight="true"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_input_title">

                    <androidx.core.widget.NestedScrollView
                        android:id="@+id/sv_et_input"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        app:layout_constrainedHeight="true"
                        app:layout_constraintBottom_toTopOf="@id/tv_input_count"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHeight_max="250dp"
                        app:layout_constraintHeight_min="150dp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintVertical_chainStyle="spread_inside">

                        <androidx.appcompat.widget.AppCompatEditText
                            android:id="@+id/et_input"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:gravity="start|top"
                            android:hint="@string/setting_help_input_desc"
                            android:includeFontPadding="false"
                            android:maxLength="200"
                            android:textColor="@color/color_FF1D2129"
                            android:textColorHint="@color/color_FFCDCFD9"
                            tools:text="asdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfk" />

                    </androidx.core.widget.NestedScrollView>

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_input_count"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:gravity="center|end"
                        android:includeFontPadding="false"
                        android:singleLine="true"
                        android:text="0/800"
                        android:textColor="@color/color_FFCDCFD9"
                        android:textSize="14sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/sv_et_input"
                        tools:ignore="HardcodedText" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_picture_title"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:text="@string/setting_report_evidence"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/v_input" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_picture_desc"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:text="@string/setting_report_evidence_desc"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="12sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_picture_title" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_picture"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_picture_desc" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>


    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_submit"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="20dp"
        android:layout_marginBottom="@dimen/common_button_margin_bottom"
        app:text="@string/common_submit"
        app:textColor="@color/white"
        app:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>